Create a card for the authenticated account

Create a new card using an available bundle purchase on the authenticated account.

Quickstart:

  1. Generate API credentials from POST /account/api-access/credentials/rotate.
  2. Exchange them at POST /account/api-access/token.
  3. Fetch an available purchase from GET /api/bundle-purchases/available.
  4. Choose a template from GET /api/templates.
  5. Create the card by passing bundle_purchase_id, template_id, title, sender, and collection settings.

This API supports creating and managing cards, but does not support sending or scheduling them.

Example:

curl -X POST "$BASE_URL/api/cards" \
  -H "Authorization: Bearer <access_token>" \
  -H "Content-Type: application/json" \
  -d '{
    "bundle_purchase_id": "<bundle_purchase_id>",
    "template_id": "<template_id>",
    "title": "Team Appreciation Card",
    "sender": "Reindeer API",
    "recipient": "Jordan",
    "collection": {
      "add_money": "Everyone",
      "see_total": "Everyone",
      "see_contributors": "Everyone",
      "add_cash": true,
      "currency": "USD"
    }
  }'

Authentication for this endpoint requires this header:

  • Authorization: Bearer <access_token>

Generate the bearer token by:

  1. rotating credentials at POST /account/api-access/credentials/rotate
  2. exchanging them at POST /account/api-access/token
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
recipients
array of objects

List of recipients to be added to the card

recipients
string
required

Card title

string

bundle purchase id to be used for this purchase

number
required

0 - Group, 1 - Personal , 2 - Self

string

Recipient name

string

Recipient email

string
required

Sender name

collection
object
required

Collection details

boolean

Should restrict cash contributions on this card

boolean

Should send automatic reminders for this card

number
enum

Who can see contributor names

Allowed:
string
required

Template Id

boolean

Public read

string

Contribution end date

number

Contribution Limit

string

Card custom logo

string

Card custom effect

string

extra data

audio_file
object

Audio name, url

Response
201
Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here!